Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class PartnerType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.PartnerType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class PartnerType

extends Object
implements Serializable

Information about the partner

Java class for PartnerType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartnerType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice minOccurs="0">
               <element name="PartnerSsin" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="PartnerReference" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
             <element name="PartnerBirthDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="PartnerName" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}PersonNameResponseType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PartnerType()`

Method Summary
`org.joda.time.DateTime` | `getPartnerBirthDate()` Gets the value of the partnerBirthDate property.
`PersonNameResponseType` | `getPartnerName()` Gets the value of the partnerName property.
`String` | `getPartnerReference()` Gets the value of the partnerReference property.
`String` | `getPartnerSsin()` Gets the value of the partnerSsin property.
`void` | `setPartnerBirthDate(org.joda.time.DateTime value)` Sets the value of the partnerBirthDate property.
`void` | `setPartnerName(PersonNameResponseType value)` Sets the value of the partnerName property.
`void` | `setPartnerReference(String value)` Sets the value of the partnerReference property.
`void` | `setPartnerSsin(String value)` Sets the value of the partnerSsin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartnerType

    public PartnerType()

Method Detail

### getPartnerReference

    public String getPartnerReference()

  Gets the value of the partnerReference property.

  Returns:
    possible object is `String`

### setPartnerReference

    public void setPartnerReference(String value)

  Sets the value of the partnerReference property.

  Parameters:
    `value` - allowed object is `String`

### getPartnerSsin

    public String getPartnerSsin()

  Gets the value of the partnerSsin property.

  Returns:
    possible object is `String`

### setPartnerSsin

    public void setPartnerSsin(String value)

  Sets the value of the partnerSsin property.

  Parameters:
    `value` - allowed object is `String`

### getPartnerBirthDate

    public org.joda.time.DateTime getPartnerBirthDate()

  Gets the value of the partnerBirthDate property.

  Returns:
    possible object is `String`

### setPartnerBirthDate

    public void setPartnerBirthDate(org.joda.time.DateTime value)

  Sets the value of the partnerBirthDate property.

  Parameters:
    `value` - allowed object is `String`

### getPartnerName

    public PersonNameResponseType getPartnerName()

  Gets the value of the partnerName property.

  Returns:
    possible object is `PersonNameResponseType`

### setPartnerName

    public void setPartnerName(PersonNameResponseType value)

  Sets the value of the partnerName property.

  Parameters:
    `value` - allowed object is `PersonNameResponseType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.